Difference between revisions of "Contrib:KeesWouters/prestressmodal"

From CAELinuxWiki
Jump to: navigation, search
('''Geometry of the cylinder''')
m
Line 16: Line 16:
 
: define cylinder: Pipe = geompy.MakePipe(Circle, Curve)
 
: define cylinder: Pipe = geompy.MakePipe(Circle, Curve)
  
&nbsp *) I used the six points to do some experiments with the '''Pipe''' command. Of course, here is not necessary to use six points.
+
  *) I used six points to do some experiments with the ''Pipe'' command. Of course, here is not necessary to use six points.
  
 
For applying boundary conditions and loads and use the shell elements later in the command file of Code Aster, we define the top and bottom circumference of the cylinder and the cylinder area:
 
For applying boundary conditions and loads and use the shell elements later in the command file of Code Aster, we define the top and bottom circumference of the cylinder and the cylinder area:

Revision as of 14:51, 3 September 2009

Buckling behaviour of a beam

To start with, this contribution mainly focuses on the use of Salome and Code Aster, not on the results and the mechanical justifications of the code that has been used. So no garantees that the results will be correct upto the fifth decimal place, which they are not. I do hope though that this information is useful. For me it has been, because I had to think about some commands and look through the documentation and learn from that. In case of mistakes, errors and the like, please notify me, or better, you are invited to correct them yourself. Enjoy.


Defining the properties of the cylinder

Geometry of the cylinder

Kw cylinder2 info.jpg

The construction is by extrusion cq piping from a circle with diameter 4 mm. The extrusion is defined along a path along the z axis, defined by six points *). The main commands of the python script are:

define points: pz1 = geompy.MakeVertex(0.00, 0, 1)
define circle: Circle = geompy.MakeCircle(centre, vector, radius)
define path: Curve = geompy.MakePolyline([null, pz1, pz2, pz3, pz4, pz5 ])
define cylinder: Pipe = geompy.MakePipe(Circle, Curve)

  *) I used six points to do some experiments with the Pipe command. Of course, here is not necessary to use six points.

For applying boundary conditions and loads and use the shell elements later in the command file of Code Aster, we define the top and bottom circumference of the cylinder and the cylinder area:

Surfin = geompy.CreateGroup(Pipe, geompy.ShapeType["FACE"])
geompy.UnionIDs(Surfin, [25, 20, 15, 10, 3])
Pipe = geompy.GetMainShape(Surfin)
Ctop = geompy.CreateGroup(Pipe, geompy.ShapeType["EDGE"])
geompy.UnionIDs(Ctop, [29])
Pipe = geompy.GetMainShape(Ctop)
Cbot = geompy.CreateGroup(Pipe, geompy.ShapeType["EDGE"])
geompy.UnionIDs(Cbot, [8])
Pipe = geompy.GetMainShape(Cbot)

Beam with solid elements

The mesh is generated by NetGen. The choosen algorithm is tetrahedron (NetGen), NetGen 1D 2D 3D. The applied hypothysis are: Maximum volume 0.25, maximum size 0.125. Second order elements are generated, finess is moderate, and optimize is set. A face group is generated for top and bot. The boundary conditions will be dx=dy=dz=0 at the 'bot' and dx=dy=0, dz=-0.2 mm at 'top', see command file for this further on.

Material properties of the beam

The beam consists of steel. The material properties are as given above.